Results 1 to 2 of 2

Thread: Mypaint fails to start

  1. #1

    Default Mypaint fails to start

    Hi, I'm new to OpenSUSE, since around yesterday (previously Debian and Ubuntu Studio, and Windows 7 user). I'm still getting to know my ways around here (expect more questions ;).

    I installed Mypaint, in an almost fresh Tumbleweed install, from the default TW-OSS repo, but it doesn't start.

    It fails with this message: 7

    Code:
        File "/usr/bin/mypaint", line 114
            print "We are not correctly installed or compiled!"
                                                          ^
        SyntaxError: Missing parentheses in call to 'print'. Did you mean print("We are not correctly installed or compiled!")?
    To me it sounds like there's some mismatch with the python version, but I'm not sure. Not having installed anything that touches python (AFAIK at least), it should be working out of the box.
    The version there is also pretty out of date BTW, 1.1. "The latest stable release is version 1.2 which was released on Jan. 15, 2016." (from the official site).

    Also not sure if/how/where I should file a bug report.

    They provide a Flatpack installer on their site, but I've never used one, not sure how pain free is that, or what it does. If there's no better way, I guess I can try that.

  2. #2

    Default Re: Mypaint fails to start

    It was already reported: https://bugzilla.opensuse.org/show_bug.cgi?id=1081099
    Also affects Leap: https://bugzilla.opensuse.org/show_bug.cgi?id=1084905

    I found a home repo with the development version here: https://build.opensuse.org/package/s...stable/mypaint
    Looks right, but I'm reluctant to install an alpha with no warranty of anyone maintaining it, and it probably will pull out a thousand deps :C

    Oh well, I'll see

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •